import { CertificatePair, ConfigPreset } from '../model';
import { ConfigParams } from './ConfigService';
declare type CertificateParams = ConfigParams;
interface NodeCertificates {
    main: CertificatePair;
    transport: CertificatePair;
}
export declare class CertificateService {
    private readonly root;
    protected readonly params: CertificateParams;
    constructor(root: string, params: CertificateParams);
    static toAns1(privateKey: string): string;
    static getCertificates(stdout: string): CertificatePair[];
    run(presetData: ConfigPreset, name: string, providedCertificates: NodeCertificates): Promise<void>;
    private createCertCommands;
}
export {};
